#include<bits/stdc++.h>
using namespace std;
vector<string>v;
bool run(string& a){
    int mid=a.size()/2;
    for (int i=0;i<mid;i++){
        if (a[i]!=a[a.size()-1-i]){
            return false;
        }
    }
    return true;
}
int main (){
    int n;
    cin >> n;
    string a;
    for (int i=0;i<n;i++){
        cin >> a;
        v.push_back(a);
    }
    for (int i=0;i<n;i++){
        cout << run(v[i]);
    }
    return 0;
}
